import {NgModule} from '@angular/core'
import {HeaderComponent} from './components/header/header.component'
import {MatTabsModule} from '@angular/material/tabs'
import {MatCardModule} from '@angular/material/card'
import {MatButtonModule} from '@angular/material/button'
import {MatFormFieldModule} from '@angular/material/form-field'
import {MatInputModule} from '@angular/material/input'
import {MatIconModule} from '@angular/material/icon'
import {FormsModule, ReactiveFormsModule} from '@angular/forms'
import {UserMenuComponent} from './components/user-info/user-menu.component'
import {LabeledIconComponent} from './components/labeled-icon/labeled-icon.component'
import {MatTableModule} from '@angular/material/table'
import {CommonModule} from '@angular/common'
import {HttpClientModule} from '@angular/common/http'
import {MatCheckboxModule} from '@angular/material/checkbox'
import {MatListModule} from '@angular/material/list'
import {ConfirmBoxComponent} from './components/confirm-box/confirm-box.component'
import {PermissionsListComponent} from './components/permissions-list/permissions-list.component'
import {MatChipsModule} from '@angular/material/chips'
import {PermissionsFieldComponent} from './components/permissions-field/permissions-field.component'
import {NavComponent} from './components/nav/nav.component'
import {EntityListComponent} from './components/entity-list/entity-list.component'
import {RouterModule} from '@angular/router'
import {EntityAddComponent} from './components/entity-add/entity-add.component'
import {EntityEditComponent} from './components/entity-edit/entity-edit.component'
import {MatSelectModule} from '@angular/material/select'
import {MatOptionModule} from '@angular/material/core'
import {MaterialFileInputModule} from 'ngx-material-file-input'
import {FileButtonComponent} from './file-button/file-button.component'
import {GlobalAlertHandlerComponent} from './components/global-alert-handler/global-alert-handler.component'
import {MatSliderModule} from '@angular/material/slider'
import {SliderFieldComponent} from './components/slider-field/slider-field.component'
import {LoadingWheelComponent} from './components/loading-wheel/loading-wheel.component'
import {MatProgressSpinnerModule} from '@angular/material/progress-spinner'
import {InfoBannerModule} from './components/info-banner/info-banner.module'
import {CreFormsModule} from './components/forms/forms.module'
import {VarDirective} from './directives/var.directive'
import {CreColorPreview} from './components/color-preview/color-preview'

@NgModule({
  declarations: [VarDirective, HeaderComponent, UserMenuComponent, LabeledIconComponent, ConfirmBoxComponent, PermissionsListComponent, PermissionsFieldComponent, NavComponent, EntityListComponent, EntityAddComponent, EntityEditComponent, FileButtonComponent, GlobalAlertHandlerComponent, SliderFieldComponent, LoadingWheelComponent, CreColorPreview],
  exports: [
    CommonModule,
    HttpClientModule,
    HeaderComponent,
    MatCardModule,
    MatButtonModule,
    MatFormFieldModule,
    MatInputModule,
    MatIconModule,
    MatTableModule,
    MatCheckboxModule,
    MatListModule,
    MatSelectModule,
    MatOptionModule,
    MatSliderModule,
    MaterialFileInputModule,
    ReactiveFormsModule,
    LabeledIconComponent,
    ConfirmBoxComponent,
    PermissionsListComponent,
    PermissionsFieldComponent,
    NavComponent,
    EntityListComponent,
    EntityAddComponent,
    EntityEditComponent,
    FileButtonComponent,
    GlobalAlertHandlerComponent,
    LoadingWheelComponent,
    RouterModule,
    InfoBannerModule,
    CreFormsModule,
    VarDirective,
    CreColorPreview
  ],
  imports: [
    MatTabsModule,
    MatIconModule,
    MatCardModule,
    MatButtonModule,
    MatChipsModule,
    MatCheckboxModule,
    MatFormFieldModule,
    MaterialFileInputModule,
    MatTableModule,
    MatInputModule,
    MatSelectModule,
    MatOptionModule,
    MatListModule,
    MatSliderModule,
    MatProgressSpinnerModule,
    ReactiveFormsModule,
    RouterModule,
    CommonModule,
    FormsModule
  ]
})
export class SharedModule {
}
